| Home | Libraries | People | FAQ | More

## Function template trim_all_copy_if

boost::algorithm::trim_all_copy_if — Trim All - parametric.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT, typename PredicateT>
      SequenceT trim_all_copy_if(const SequenceT & Input, PredicateT IsSpace);

## Description

Remove all leading and trailing spaces from the input and compress all other spaces to a single character. The result is a trimmed copy of the input

Parameters: |
`Input` | An input sequence
`IsSpace` | A unary predicate identifying spaces
Returns: | A trimmed copy of the input